=== debian/changelog ===
nco (4.6.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Change GSL dependency to libgsl0-dev for jessie.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Nov 2016 09:15:07 +0100

nco (4.6.2-2) unstable; urgency=medium

  * Limit parallel build (max-parallel=32).
    (closes: #844865)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Nov 2016 11:33:54 +0100

nco (4.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop libgsl0-dev alternative dependency.
  * Drop spelling-errors.patch, applied upstream.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2016 19:09:35 +0100

nco (4.6.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Aug 2016 12:16:23 +0200
