=== debian/changelog ===
nco (4.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Don't limit parallel build, FTBFS fixed with BUILT_SOURCES patch.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Dec 2016 23:34:40 +0100
