=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                antlr,
                libantlr-dev,
                gsl-bin,
-               libgsl0-dev,
+               libgsl-dev,
                netcdf-bin,
                libnetcdf-dev,
                libudunits2-dev,
@@ -20,7 +20,7 @@
                texinfo
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
