=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 		--enable-udunits2
 
 override_dh_auto_build:
-	dh_auto_build --max-parallel=32
+	dh_auto_build
 	cd doc && $(MAKE) clean && $(MAKE) html
 	cd doc && $(MAKE) nco.info && sed -i 's/xmp\/fgr[0-9].png/\/usr\/share\/doc\/nco\/&/' nco.info*
