=== debian/changelog ===
nco (4.6.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jul 2017 13:45:40 +0200

nco (4.6.7-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:43:13 +0200

nco (4.6.7-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable PIE hardening buildflags.
  * Update lintian overrides for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 May 2017 22:42:15 +0200

nco (4.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Apr 2017 11:37:21 +0200

nco (4.6.5-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Mar 2017 07:31:36 +0100

nco (4.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years for Charlie Zender.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Feb 2017 07:29:49 +0100
