=== debian/changelog ===
nco (4.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --no-rollback for gbp import-orig.
  * Don't explicitly build with GCC 6, FTBFS with GCC 7 fixed upstream.
    (closes: #853569)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Aug 2017 21:18:01 +0200

nco (4.6.7-2) unstable; urgency=medium

  * Explicitly build with GCC 6 (FTBFS with GCC 7 not fixed yet).
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Drop unused lintian override.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Aug 2017 13:33:04 +0200
