=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b stretch-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
