## nco 4.6.9

=== debian/changelog ===
nco (4.6.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 09:23:10 +0200

nco (4.6.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Sep 2017 07:54:09 +0200

nco (4.6.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Aug 2017 07:53:55 +0200
